Description

There was request on the developer mailing list to update the parameter fields for some srs's (see below).

I have done these in SVN r, with the exception of 3328, which wasn't in the srs database.

However, we may need to consider doing a more comprehensive update of the srs database in the future so as to keep in sync with the

original source (proj4?).

Hi,

I have at least extracted all the projections which require updating

from +proj=stere to +proj=sterea in QGIS 0.8.

In Proj 4.5 beta and Gdal 1.3.2 sterea is used in GDAL for 14 European

stereographic grids (18 listed below, but 4 are duplicate "deprecated"):

$ grep -B1 '+proj=sterea' /usr/local/share/proj/epsg | awk '/^#/ {print}

/^</ {print $1" "$2}'

# NAD83(CSRS98) / New Brunswick Stereo (deprecated)

<2036> +proj=sterea

# Pulkovo 1942(58) / Poland zone I (deprecated)

<2171> +proj=sterea

# Pulkovo 1942(58) / Poland zone II

<2172> +proj=sterea

# Pulkovo 1942(58) / Poland zone III

<2173> +proj=sterea

# Pulkovo 1942(58) / Poland zone IV

<2174> +proj=sterea

# ATS77 / New Brunswick Stereographic (ATS77)

<2200> +proj=sterea

# ATS77 / Prince Edward Isl. Stereographic (ATS77)

<2290> +proj=sterea

# NAD83(CSRS98) / Prince Edward Isl. Stereographic (NAD83) (deprecated)

<2291> +proj=sterea

# NAD83(CSRS98) / Prince Edward Isl. Stereographic (NAD83) (deprecated)

<2292> +proj=sterea

# NAD83(CSRS) / New Brunswick Stereo

<2953> +proj=sterea

# NAD83(CSRS) / Prince Edward Isl. Stereographic (NAD83)

<2954> +proj=sterea
# Pulkovo 1942(58) / Poland zone I

<3120> +proj=sterea

# Pulkovo 1942(58) / GUGiK-80

<3328> +proj=sterea

# Deir ez Zor / Levant Stereographic

<22780> +proj=sterea

# Amersfoort / RD Old

<28991> +proj=sterea

# Amersfoort / RD New

<28992> +proj=sterea

# Dealul Piscului 1933/ Stereo 33

<31600> +proj=sterea

# Dealul Piscului 1970/ Stereo 70

<31700> +proj=sterea

It is necessary to update this in QGIS before 0.8 release to spare users

problems and possible data corruption.

History

#1 - 2006-07-27 02:07 PM - Gavin Macaulay -

SVN version when the change was done is commit:5c2d41dc (SVN r5646)

#2 - 2008-02-16 01:08 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
